# Class $InterpolateProvider

Used for configuring the interpolation markup. Defaults to `{{` and `}}`.

This feature is sometimes used to mix different markup languages, e.g. to wrap an AngularJS template within a Python Jinja template (or any other template language). Mixing templating languages is **very dangerous**. The embedding template language will not safely escape AngularJS expressions, so any user-controlled values in the template will cause Cross Site Scripting (XSS) security bugs!

- Defined in core/interpolate/interpolate.js:43

#####
Index

### Constructors

constructor

### Properties

$get
endSymbol
startSymbol

##
Constructors

### constructor

- new $InterpolateProvider(): $InterpolateProvider

- Used for configuring the interpolation markup. Defaults to `{{` and `}}`.

  This feature is sometimes used to mix different markup languages, e.g. to wrap an AngularJS template within a Python Jinja template (or any other template language). Mixing templating languages is **very dangerous**. The embedding template language will not safely escape AngularJS expressions, so any user-controlled values in the template will cause Cross Site Scripting (XSS) security bugs!

  #### Returns $InterpolateProvider

  - Defined in core/interpolate/interpolate.js:43

##
Properties

### $get

$get: (string | (($parse: ParseService, $exceptionHandler: ErrorHandler, $sce: any) => {
endSymbol(): string;
startSymbol(): string;
(text: string, mustHaveExpression: boolean, trustedContext: string, allOrNothing: boolean): Function;
}))[]

- Defined in core/interpolate/interpolate.js:75

### endSymbol

endSymbol: ((value: string) => string | $InterpolateProvider)

Symbol to denote the end of expression in the interpolated string. Defaults to `}}`.

#### Type declaration

- - (value): string | $InterpolateProvider

  - #### Parameters

    - value: string

      new value to set the ending symbol to.

    #### Returns string | $InterpolateProvider

    Returns the symbol when used as getter and self if used as setter.

- Defined in core/interpolate/interpolate.js:67

### startSymbol

startSymbol: ((value: string) => string | $InterpolateProvider)

Symbol to denote start of expression in the interpolated string. Defaults to `{{`.

#### Type declaration

- - (value): string | $InterpolateProvider

  - #### Parameters

    - value: string

      new value to set the starting symbol to.

    #### Returns string | $InterpolateProvider

    Returns the symbol when used as getter and self if used as setter.

- Defined in core/interpolate/interpolate.js:53